﻿function GetPluginSettings()
{
    return {
        "name": "Adivery",
        "id": "VinoosAdivery",
        "version": "4.3.1",
        "description":	"Adivery plugin for construct 2",
        "author": "Vinoos",
        "help url": "http://vinoos.ir/help/plugins/adivery.php",
        "category": "Vinoos",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/vinoosir/adivery-cordova-plugin",
        "flags": 0 | pf_singleglobal

    };
};

//////////////////////////////////////
// Conditions
	AddCondition(0, cf_trigger, "On InterstitialAd Loaded", "Interstital", "On InterstitialAd Loaded", "On InterstitialAd Loaded", "onInterstitialAdLoaded");
	AddCondition(1, cf_trigger, "On RewardedAd Loaded", "Rewarded", "On RewardedAd Loaded", "On RewardedAd Loaded", "onRewardedAdLoaded");
	AddCondition(2, cf_trigger, "On Ad Rewarded", "Rewarded", "On Ad Rewarded", "On Ad Rewarded", "onAdRewarded");
	AddCondition(3, cf_trigger, "On Show Failed", "Interstitial/Rewarded", "On Show Failed", "On Show Failed", "onShowFailed");


//////////////////////////////////////
// Actions

	/*** - Banner Start - ***/
	AddStringParam("Zone ID", "Banner zone id");
	AddComboParamOption("TOP LEFT");
	AddComboParamOption("TOP CENTER");
	AddComboParamOption("TOP RIGHT");
	AddComboParamOption("LEFT");
	AddComboParamOption("CENTER");
	AddComboParamOption("RIGHT");
	AddComboParamOption("BOTTOM LEFT");
	AddComboParamOption("BOTTOM CENTER");
	AddComboParamOption("BOTTOM RIGHT");
	AddComboParam("Position", "Banner Position", 7);
	AddComboParamOption("320x50");
	AddComboParamOption("320x100");
	AddComboParamOption("300x250");
	AddComboParam("Size", "Choose the banner size.", 0);
	AddAction(0, af_none, "Create Banner", "Banner", "Create Adivery Banner", "Create Banner", "createBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("X", "Distance from left", 0);
	AddNumberParam("Y", "Distance from top", 0);
	AddComboParamOption("320x50");
	AddComboParamOption("320x100");
	AddComboParamOption("250x250");
	AddComboParamOption("300x250");
	AddComboParam("Size", "Choose the banner size.", 0);
	AddAction(1, af_none, "Create Banner At XY", "Banner", "Create Banner At XY", "Create Banner At XY", "createBannerAtXY");
	
	AddAction(2, af_none, "Remove Banner", "Banner", "Remove Banner", "Remove Banner", "removeBanner");
	
	AddAction(3, af_none, "Show Banner", "Banner", "Show Banner", "Show Banner", "showBanner");
	
	AddAction(4, af_none, "Hide Banner", "Banner", "Hide Banner", "Hide Banner", "hideBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("Position", "Enter banner position", 7);
	AddNumberParam("Size", "Enter the banner size", 0);
	AddAction(5, af_none, "Create Banner 2", "Banner", "Create Adivery Banner", "Create Banner", "createBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("X", "Distance from left", 0);
	AddNumberParam("Y", "Distance from top", 0);
	AddNumberParam("Size", "Enter the banner size", 0);
	AddAction(6, af_none, "Create Banner At XY 2", "Banner", "Create Banner At XY", "Create Banner At XY 2", "createBannerAtXY");
	/*** - Banner End - ***/
	
	/*** - Interstitial/Video Start - ***/
	AddStringParam("Zone ID", "InterstitialAd zone id");
	AddAction(7, af_none, "Request InterstitialAd", "Interstitial", "Request InterstitialAd. (ZoneId: {0})", "Request InterstitialAd", "requestInterstitialAd");
	
	AddStringParam("Zone ID", "RewardedAd zone id");
	AddAction(8, af_none, "Request RewardedAd", "Rewarded", "Request RewardedAd. (ZoneId: {0})", "Request RewardedAd", "requestRewardedAd");
	
	AddAction(9, af_none, "Show Ad", "Interstitial/Rewarded", "Show Ad", "Show Ad", "showAd");
	/*** - Interstitial/Video End - ***/


//////////////////////////////////////////////////////////////
// Expressions
	AddExpression(1, ef_return_string, "Returns last error message.", "Interstitial/Video", "ErrorMessage", "Returns last error message.");

ACESDone();

//////////////////////////////////////
// Properties
	var property_list = [
		new cr.Property(ept_text, "App Id", "", "Adivery app id for your application")
	];

// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
    return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
    return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");

    // Save the constructor parameters
    this.instance = instance;
    this.type = type;

    // Set the default property values from the property table
    this.properties = {};

    for (var i = 0; i < property_list.length; i++)
        this.properties[property_list[i].name] = property_list[i].initial_value;

    // Plugin-specific variables
    // this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}

